49.0
====
* Stable release

49.beta
=======
* Change the bg color of tiles for better color contrast (Shaun McCance)
* Meson build system cleanups (Eli Schwartz)
* Updated translations:
  uz    (Baxrom Raxmatov)

42.3
====
* Fix CVE-2025-3155 (parrot409, Shaun McCance)
* Switch to meson for builds (Martin Blanchard, Shaun McCance)

42.1
====
* Updated translations:
  bg    (Alexander Shopov)
  hr    (Goran Vidović)
  ka    (Zurab Kargareteli)
  sr    (Марко Костић)
  sv    (Anders Jonsson)

42.0
====
* No changes since beta, stable release only

42.beta
=======
* Fix topic and section links in Mallard stack files
* Avoid use of global l10n.locale parameter
* Updated translations:
  ab    (Naala Nanba)
  hr    (Goran Vidović)
  is    (Sveinn í Felli)

41.0
====
* No changes since beta, stable release only

41.beta
=======
* Loosen CSS match for title/desc in linkdiv
* Use better target contrasts for white-on-black

40.2
====
* Updated translations:
  he    (Yaron Shahrabani)
  ne    (Pawan Chitrakar)
  oc    (Quentin PAGÈS)
  vi    (Ngọc Quân Trần)

40.0
====
* Stable release. No changes since release candidate.

40.rc
=====
* Updated translations:
  gl    (Fran Dieguez)
  sl    (Matej Urbančič)

40.beta
=======
* Added new text templates for easier CSS editing
* Updated bundled highlight.js and added SML highlighter
* Added experimental links styles for the GNOME 40 help
* Added html.grid.size parameter to templatize CSS grid size
* Hide sidebars by default at 720px
* Updated COPYING file, which was pretty out of date
* Some documentation updates and improvements
* Updated translations:
  be    (Źmicier Turok)
  ca    (Jordi Mas)
  nb    (Kjartan Maraas)
  pt    (Juliano de Souza Camargo)

3.38.1
======
* Updated translations:
  lv    (Rūdolfs Mazurs)
  sk    (Dušan Kazik)

3.38.0
======
* Updated translations:
  ja    (sicklylife)

3.37.90
=======
* Various styling changes, especially around media and ttml
* Updated translations:
  ckb      (Jwtiyar Nariman)
  nl       (Hannie Dumoleyn)
  ro       (Florentina Mușat)
  uk       (Daniel Korostil)
  zh_CN    (Aron Xu)

3.36.0
======
* Added a syntax highlighter for Ducktype
* Support multiple desc elements for links (MEP-0008)
* Fixed missing link when group specified twice on topic links
* Typo fix in docs
* Updated translations:
  dz    (Andre Klapper)
  en_GB (Zander Brown)
  ms    (Umarzuki Bin Mochlis Moktar)
  tr    (Emin Tufan Çetin)

3.34.2
======
* Updated translations:
  fa      (Danial Behzadi)

3.34.0
======
* Updated translations:
  it    (Milo Casagrande)

3.33.92
=======
* Updated translations:
  ca    (Jordi Mas)
  de    (Tim Sabsch)
  eu    (Asier Sarasua Garmendia)
  fr    (Claude Paroz)
  lt    (Aurimas Černius)
  ru    (Stas Solovey)

3.33.4
======
* Update highlight.pack.js to 9.15.8, added awk and shell (Shaun McCance)
* Removed intltool and other build updates (Jeremy Bicha, Javier Jardón)
* Updated translations:
  es    (Daniel Mustieles)
  hu    (Balázs Úr)
  id    (Kukuh Syafaat)
  pl    (Piotr Drąg)
  pt_BR (Rafael Fontenelle)
  zh_CN (Mingcong Bai)

3.32.1
======
* Added Mallard 1.1 to supported list for conditionals

3.32.0
======
* Updated translations:
  is    (Sveinn í Felli)
  nl    (Nathan Follens)

3.31.90
=======
* Refresh colors for new GNOME HIG colors
* Support for Mallard 1.1 hi element
* Initial work on Mallard 1.2 stack element
* Added ui-expander-preview style for expanders
* Converted xsldoc docs to Ducktype
* Updated translations:
  be    (Yuras Shumovich)
  ml    (Anish Sheela)
  ru    (Stas Solovey)
  sr    (Марко Костић)

3.30.0
======
* Added stock sidebar support
* Added mallard:if/1.0 to supported feature tokens  
* Updated translations:
  af    (Pieter Schalk Schoeman)
  cs    (Marek Cernocky)
  da    (Ask Hjorth Larsen)
  de    (Mario Blättermann)
  el    (Efstathios Iosifidis)
  es    (Daniel Mustieles)
  fi    (Jiri Grönroos)
  fr    (Charles Monzat)
  fur   (Fabio Tomat)
  gl    (Fran Dieguez)
  hr    (gogo)
  hu    (Balázs Meskó)
  id    (Kukuh Syafaat)
  it    (Milo Casagrande)
  ko    (Changwoo Ryu)
  lt    (Aurimas Černius)
  lv    (Rūdolfs Mazurs)
  pl    (Piotr Drąg)
  pt_BR (Enrico Nicoletto)
  ro    (Daniel Șerbănescu)
  sl    (Matej Urbančič)
  sv    (Anders Jonsson)
  tr    (Emin Tufan Çetin)
  zh_TW (Yi-Jyun Pan)

3.28.0
======
* Implemented th/@scope attribute
* Updated Scottish Gaelic (gd) translation

3.27.90
=======
* Typo fixes in docs
* Updated translations:
  eo    (Kristjan SCHMIDT)

3.27.1
======
* Massive backwards incompatible updates to stylesheets
* Changed color parameters and added color computations
* Used more HTML5 elements like article, header, footer
* Switched to flexbox for large parts of the layout
* Implemented more granular content centering
* Added stub for sidebars
* Dropped external icons in favor of recolorable inline SVGs
* Removed jQuery
* Switched syntax highlighter to highlight.js
* Dropped experimental Mallard facet support
* Added default colorings for syntax highlighting
* Added a number of new modes and stub templates for customizations
* Updated the section highlighting for location.hash
* Fixed lang:C Mallard test token
* Added support for generic Mallard div element, MEP-0005
* Began adding support for DocBook automatic indexes
* Added support for DocBook stepalternatives and result
* Updated translations:
  ca@valencia.po  (Xavi Ivars)
  da              (Ask Hjorth Larsen)
  en_GB           (Chris Leonard)
  fur             (Fabio Tomat)
  gd              (GunChleoc)
  hr              (gogo)
  kk              (Baurzhan Muftakhidinov)
  ne              (Pawan Chitrakar)
  nl              (hanniedu)
  oc              (Cédric Valmary)
  pl              (Piotr Drąg)
  pl              (Piotr Drąg)
  sl              (Matej Urbančič)

3.17.90
=======
* Updated localization templates, removing unused code
* Dropped db.chunk.chunks parameter in favor of selector entity
* Improvements to API docs

3.17.4
======
* Updated translations:
  pt    (Pedro Albuquerque)

3.17.3
======
* Support external info links topic, guide, and seealso
* Support for Mallard Sites in cache generator
* Drop P. prefix for parameter pages in docs

3.17.2
======
* Embed Mallard+SVG directly in HTML5 instead of using <object>
* Added a top-level dita2html XSLT driver file
* Fixed a few XSLT validity errors
* Correctly handle image-only links in Mallard
* Set HTML5 DOCTYPE for non-XHTML output
* Make sure TTML spans are displayed inline, #746550
* Updated translations:
  oc    (Cédric Valmary)

3.16.0
======
* Stable release

3.15.92
=======
* Removed indenting of subsections
* Added support for Mallard th element
* Updated translations:
  bs    (Samir Ribic)
  tr    (Muhammet Kara)
  vi    (Trần Ngọc Quân)

3.14.0
======
* Updated translations:
  sv    (Anders Jonsson)

3.13.92
=======
* Updated translations:
  ro    (Daniel Șerbănescu)

3.12.0
======
* Updated translations:
  fr    (Luc Pionchon)

3.11.90
=======
* Added "hidden" style hint on page and section titles
* Added "norwich" style on links elements

3.11.5
======
* Use <kdb> to fix DocBook keycap styling, #709943
* Removed the completely unused code watermark image
* Made Mallard transform robust against multiple desc elements
* Updated translations:
  zh_CN    (Wylmer Wang)

3.11.4
======
* Don't assign ARIA role "button" for expander headers, #719571

3.11.1
======
* Added common template html.syntax.class for syntax brush
* Only check for xmllint/xsltproc when needed, #700670

3.10.1
======
* Fixed use of links styles on page and section elements

3.10.0
======
* Updated translations:
  tg    (Victor Ibragimov)

3.9.90
======
* Added support for DocBook conditional processing
* Fixed RTL issues in link trails for Mallard, DocBook, and DITA
* Added "lead" style hint for paragraphs in Mallard and DocBook
* Allow experimental role attribute on Mallard links element
* Updated translations:
  ja    (Jiro Matsuzawa)

3.9.1
=====
* Style work on previous and next links
* Use fixed positioning for ui overlays
* Use nicer close buttons on ui overlays (Jakub Steiner)
* Added html.class.attr and html.class.attr.mode
* Fixed issued with HTML tables in DocBook
* Added "center" and "button" style hints to links element
* Updated translations:
  cs    (Marek Černocký)

3.8.1
=====
* Updated translations:
  eu    (Inaki Larranaga Murgoitio)
  id    (Andika Triwidada)
  ru    (Yuri Myasoedov)

3.8.0
=====
* Added "center" style hint for block title and desc
* Updated translations:
  as    (Nilamdyuti Goswami)
  be    (Ihar Hrachyshka)
  cs    (Marek Černocký)
  da    (Ask H. Larsen)
  fa    (Arash Mousavi)
  fi    (Ville-Pekka Vainio)
  hi    (Rajesh Ranjan)
  hu    (Balázs Úr)
  ko    (Changwoo Ryu)
  lv    (Rūdolfs Mazurs)
  pt    (Duarte Loreto)
  pt_BR (Rafael Ferreira)
  ta    (Dr.T.Vasudevan)
  tg    (Victor Ibragimov)

3.7.91
======
* Added style hints for new Getting Started designs
* Fixed incorrect automatic link role for guide links
* Updated translations:
  de    (Mario Blättermann)
  fr    (Alexandre Franke)
  pa    (A S Alam)

3.7.90
======
* Updated translations:
  ca          (Gil Forcada)
  ca@valencia (Carles Ferrando)
  it          (Milo Casagrande)
  lt          (Aurimas Černius)
  ml          (Anish A)
  sr          (Мирослав Николић)
  sr@latin    (Мирослав Николић)
  ug          (Gheyret Kenji)
  zh_HK       (Chao-Hsiung Liao)
  zh_TW       (Chao-Hsiung Liao)

3.7.4
=====
* Support for Mallard conditional language test tokens
* Updated translations:
  bg    (Alexander Shopov)
  el    (Dimitris Spingos)
  et    (Mattias Põldaru)
  gl    (Fran Diéguez)
  he    (Yaron Shahrabani)
  kn    (Shankar Prasad)
  sl    (Matej Urbančič)

3.7.3
=====
* Added style="continues" for Mallard lists and steps
* Better handling of broken internal Mallard links
* Updated translations:
  es    (Daniel Mustieles)
  nb    (Kjartan Maraas)
  pl    (Piotr Drąg)
  sk    (Marian Scerbak)

3.7.2
=====
* MathML support for Mallard and DocBook
* Audio and video support for DocBook
* Ability to set poster image for video
* TTML subtitles for audio and inline media
* Updated media controls
* Fixed #hash auto-expanding and colorizing
* Translator and publisher credits
* Use quote char on :before for blockquote
* ARIA landmark roles
* Changed marker for expanders
* Switched ui:expanded to non-experimental
* Experimental Mallard UI overlays
* Dropped unused DocBook utility XSLT
* Use itstool "join mode" for translations
* More experimental thumbnail link styles
* Updated translations:
  km    (Khoem Sokhem)
  sl    (Matej Urbančič)

3.6.0
=====
* Updated translations:
  ar    (Khaled Hosny, Abu Osaid)
  el    (Tom Tryfonidis)
  hi    (Rajesh Ranjan)
  ky    (Timur Zhamakeev)
  lv    (Rūdolfs Mazurs)
  ml    (Ani Peter)
  th    (Theppitak Karoonboonyanan)

3.5.92
======
* Updated translations:
  pl    (Piotr Drąg)

3.5.91
======
* Updated translations:
  si    (Danishka Navin)
  th    (cjl)

3.5.90
======
* Added support for depth attribute on section links
* Improved various bits of the build process (Colin Walters)
* Corrected jQuery.Syntax license info (Steve Magoun)
* Updated translations:
  el    (Tom Tryfonidis)
  gl    (Fran Diéguez)
  lt    (Aurimas Černius)

3.4.2
=====
* Fixed invalid translations, bug #675905
* Fixed handling of inline markup in translation messages
* Removed old and incorrect code referencing old parameters
* Fixed Mallard if:if for "maybe" values
* Removed custom DocBook keys in favor of db.id.key
* Updated translations:
  el    (Tom Tryfonidis)

3.4.1
=====
* Updated translations:
  ca    (Jordi Serratosa)
  ca@valencia (Carles Ferrando)
  hi    (Chandan Kumar)
  id    (Andika Triwidada)
  ja    (Jiro Matsuzawa)
  lt    (Aurimas Černius)
  sk    (Marian Scerbak)

3.4.0
=====
* Updated translations:
  cs    (Marek Černocký)
  te    (Krishnababu Krothapalli)
  zh_CN (YunQiang Su)

3.3.92
======
* Be more flexible with revisions for editor banner
* Don't auto-link Python symbols when syntax highlighting
* Fixed private templates and stylesheet variables in xsldoc
* Use common links template for topic, guide, seealso, facets
* Support for profile-checking in TTML
* Support for xml:lang and xml:space in TTML
* Support for TTML br element
* Support for TTML dur attribute
* Support for h and m time units in TTML
* Support for Mallard block content in TTML
* Dropped unused DocBook chunking params
* Handle DocBook literallayout with class="monospaced"
* Updated translations:
  as          (Nilamdyuti Goswami)
  ca          (Gil Forcada)
  ca@valencia (Carles Ferrando)
  de          (Mario Blättermann)
  en_GB       (Bruce Cowan)
  eo          (Tiffany Antopolski)
  et          (Mattias Põldaru)
  eu          (Inaki Larranaga Murgoitio)
  fa          (Arash Mousavi)
  fi          (Timo Jyrinki)
  fr          (Bruno Brouard)
  hu          (Gabor Kelemen)
  it          (Milo Casagrande)
  ko          (Seong-ho Cho)
  lv          (Anita Reitere)
  nl          (Hannie Dumoleyn)
  pa          (A S Alam)
  pl          (Piotr Drąg)
  pt          (Duarte Loreto)
  pt_BR       (Gabriel Speckhahn)
  ta          (Dr.T.Vasudevan)
  te          (Krishnababu Krothapalli)
  uk          (Daniel Korostil)
  vi          (Nguyễn Thái Ngọc Duy)

3.3.3
=====
* Use series link titles for series links
* Fixed facet link-handling, broken by HTML changes
* Style tweaks for mobile rendering
* Implemented new Conditionals extension
* Initial support for new ui:thumb extension
* Added customization stubs for Mallard linking
* Added support for DocBook bridgehead element
* Don't output empty About footer
* Changed mal2html.section.mode to named template
* Made copyright notices localizable (DocBook and Mallard)
* Strip query string from email address in tooltip
* Alignment fixed for DocBook synopfragment
* Fixed handling of DocBook biblioset
* Fixed handling of DocBook indexdiv
* Basic support for DocBook task element
* Support for DocBook package element
* Support for DocBook sidebar element
* Use common formatting for DocBook example and procedure
* Changed some XSLT key names and made public
* Set language attributes on HTML body
* Moved gettext stylesheet into common
* Updated translations:
  bg       (Alexander Shopov)
  da       (Ask H. Larsen)
  sr       (Мирослав Николић)
  sr@latin (Мирослав Николић)
  ug       (Gheyret Kenji)
  sv       (Daniel Nylander)
  ja       (Jiro Matsuzawa, Hideki Yamane)
  tr       (Muhammet Kara)
  ru       (Yuri Myasoedov)
  gl       (Fran Diéguez)
  be       (Ihar Hrachyshka)
  zh_HK    (Chao-Hsiung Liao)
  zh_TW    (Chao-Hsiung Liao)
  sl       (Matej Urbančič)
  nb       (Kjartan Maraas)
  he       (Yaron Shahrabani)
  es       (Daniel Mustieles)

3.3.2
=====
* Customized rendering for mobile devices
* Changed how :first-child margin-top is set
* Changed div.all to div.page
* Copy page/section attributes to cache
* Updated translations:
  be    (Kasia Bondarava)
  bg    (Alexander Shopov)
  eo    (Kristjan SCHMIDT)
  fa    (Arash Mousavi)
  fi    (Timo Jyrinki)
  he    (Yaron Shahrabani)
  lt    (Aurimas Černius)
  sl    (Matej Urbančič)
  sv    (Daniel Nylander)
  te    (Praveen Illa)
  zh_CN (Yinghua Wang)
  zh_HK (Pin-hsien Li)
  zh_TW (Pin-hsien Li)

3.3.1
=====
* Made linktrails more extensible for customizations
* Added new 'About' footer to HTML output
* Moved Yelp's location.hash formatting to yelp-xsl
* Updated style for key/keycap elements
* Style work on post-content links, no header
* Fall back to correct link title for sort titles
* Strip links from descs in link blocks
* Added html.top.custom and html.bottom.custom
* Added html.header.custom and html.footer.custom
* Correctly set ARIA controls for expanders
* Use the correct type for "prevnext" links elements
* Simplifications to DocBook bibliography handling
* Cleaned up DocBook block and title output templates
* Moved DocBook links templates to db2html-links
* Replaced db2html-autotoc with simpler section links
* Fixed DocBook footnote handling
* Use html.lang.attrs consistently in DocBook
* Removed special-case code in Mallard cache stylesheet
* Updated translations:
  ca          (Gil Forcada)
  ca@valencia (Gil Forcada)
  de          (Mario Blättermann)
  es          (Daniel Mustieles)
  gl          (Fran Diéguez)
  nb          (Kjartan Maraas)
  tr          (Muhammet Kara)

3.2.1
=====
* Fixed editor-mode badges for final pages and pkgversion
* Updated translations:
  eo    (Tiffany Antopolski)
  fi    (Tommi Vainikainen)
  nl    (Wouter Bolsterlee)
  te    (Hari Krishna)
  uk    (Daniel Korostil)
  vi    (Nguyễn Thái Ngọc Duy)

3.2.0
=====
* Updated translations:
  as          (Nilamdyuti Goswami)
  ca@valencia (Carles Ferrando)
  cs          (Petr Kovar)
  da          (Aputsiaq Janussen)
  eu          (Inaki Larranaga Murgoitio)
  hu          (Gabor Kelemen)
  ko          (Changwoo Ryu)
  sr          (Мирослав Николић)
  sr@latin    (Мирослав Николић)

3.1.6
=====
* Updated translations:
  ast   (Xandru Armesto)
  da    (Aputsiaq Janussen)
  en_GB (Bruce Cowan)
  fa    (Arash Mousavi)
  fi    (Timo Jyrinki)
  fr    (Bruno Brouard)
  it    (Milo Casagrande)
  pl    (Piotr Drąg)
  pt    (Duarte Loreto)
  zh_CN (Yinghua Wang)

3.1.5
=====
* Experimental Mallard extension for API references
* Updated translations:
  ca    (Gil Forcada)
  de    (Mario Blättermann)
  pt_BR (Og B. Maciel)
  ta    (Dr.T.Vasudevan)
  ug    (Abduxukur Abdurixit)

3.1.4
=====
* Speed improvements for Mallard processing
* Added if:supports to conditional processing
* Added "button" style for links
* Updated translations:
  bg      (Alexander Shopov)
  nb      (Kjartan Maraas)
  ru      (Yuri Myasoedov)
  zh_HK   (Chao-Hsiung Liao)
  zh_TW   (Chao-Hsiung Liao)

3.1.3
=====
* Experimental support for ui:expanded expanders
* Changed steps and note visuals, less yellow now
* Cleaned up some links handling, some API changes
* Added accessible titles on notes in DocBook and Mallard, #613267
* Mallard media type attribute defaults to 'image', per spec
* Fixed seeie/seealsoie formatters in DocBook
* Fixed the link text for DocBook glossentry links
* Fixed formatting of DocBook inline quotes
* Add PI to suppress DocBook section links, bug #346397
* Experimental Mallard Glossaries extension  
* Updated translations:
  de    (Christian Kirbach)
  es    (Jorge González, Daniel Mustieles)
  gl    (Fran Dieguez)
  he    (Yaron Shahrabani)
  lt    (Aurimas Černius)
  lv    (Rudolfs Mazurs)
  nb    (Kjartan Maraas)
  pa    (A S Alam)
  ru    (Yuri Kozlov)
  sl    (Matej Urbančič)
  sv    (Daniel Nylander)
  tr    (Muhammet Kara)
  zh_CN (Aron Xu)

3.1.2
=====
* Changed formatting of notes
* Style tweaks to linkdivs and link trails
* Fixed localization for bibliographies, citations, comments
* Trim link trails that are longer forms of other trails
* Added experimental ui:expanded support for notes
* Updated translations
  ca@valencia  (Carles Ferrando)
  es           (Jorge González)
  fa           (Arash Mousavi)
  gl           (Fran Diéguez)
  he           (Yaron Shahrabani)
  nb           (Kjartan Maraas)
  sl           (Matej Urbančič)
  ug           (Abduxukur Abdurixit)

3.1.1
=====
* Improvements to the JS/CSS for videos and TTML
* Changed gettext infrastructure, use itstool
* Improvements and cleanup to DocBook code
* Implemented experimental Mallard conditional processing
* Updated to jQuery.syntax 3.0, custom layout file
* Don't embed div in a tag for linkdivs
* Added title attribute to HTML output for all links
* Updated translations:
  en_GB (Bruce Cowan)
  es    (Jorge González)
  id    (Andika Triwidada)
  sr    (Мирослав Николић)
  sv    (Daniel Nylander)
  vi    (Nguyễn Thái Ngọc Duy)

3.0.2
=====
* Fixed Previous/Next link translation, bug #640318
* Updated translations:
  bg    (Alexander Shopov)
  ca    (Gil Forcada)
  cs    (Marek Černocký)
  de    (Mario Blättermann)
  en_GB (Bruce Cowan)
  es    (Daniel Mustieles)
  fr    (Bruno Brouard)
  hu    (Gabor Kelemen)
  ko    (Changwoo Ryu)
  ru    (Yuri Myasoedov)
  sl    (Matej Urbančič)
  sv    (Daniel Nylander)
  ug    (Abduxukur Abdurixit)
  vi    (Nguyễn Thái Ngọc Duy)

3.0.1
=====
* Fixed page sorting for groups on mal:links
* Various small CSS tweaks
* Fixed how JavaScript is included
* Fixed cache behavior with roled link titles
* Added floatstart and floatend hints, bug #645947

3.0.0
=====
* No changes since 2.91.92

Changes in 2.91.92
==================
* Use trail link title for link trails
* Fix note icon craziness with nested inner divs
* Added special fanciness for the gnome-help index
* Added the 'bold' and 'nodesc' links styles
* Corrected handling of media style attribute
* Put links element in Mallard 1.0 namespace
* Updated translations:
  pl    (Piotr Drąg)

Changes in 2.91.91
==================
* Support ubiquitous linking on media
* Updated translations:
  nb    (Kjartan Maraas)

Changes in 2.91.90
==================
* Get link roles right for topic links
* Full support for the links element
* Made magic image scaling perform better
* Use HTML <h*> elements for block titles, for a11y
* Correct link trails separators for RTL
* Updated translations:
  gl    (Fran Diéguez)
  hu    (Gabor Kelemen)

Changes in 2.91.9
=================
* Added magic image scaling for figures
* Added support for experimental series links
* Fixed previous and next links for DocBook and Mallard
* Enabled syntax highlighting in DocBook
* Changes to html.js and html.css to make them easier to override
* Added editor_mode status badges to linklist links
* Improvements to link filtering with facets
* Prevent key and keyseq from line-wrapping

Changes in 2.91.8
=================
* Fixed non-well-formed XML in XSLT file

Changes in 2.91.7
=================
* Added support for Mallard Facets extension
* Fixed incorrect handling of topic link groups
* Added automatic syntax highlighting using jQuery.Syntax
* Implemented sidebar style for notes
* Added support for line numbering in Mallard code blocks

Changes in 2.31.6
=================
* Added support for TTML captions for Mallard media
* Common section links styling for DocBook and Mallard
* Implemented e:links for Mallard sections
* Implement @style='linklist' for Mallard guide links
* Implemented e:links for Mallard topic links
* Normalize space for title sort keys
* Load cache file relative to page file

Changes in 2.31.5
=================
* Handle bare text content in guiseq
* Added a (roughly) topological page sort
* Include comment CSS when not in editor mode

Changes in 2.31.4
=================
* Implemented #first and #last implicit topic link groups
* Added support for title and desc on table
* Added html.body.attr.mode

Changes in 2.31.3
=================
* Use text titles for link tooltips when present.
* Better support for mixed-directionality documents
* Style tweaks

Changes in 2.31.2
=================
* Added support for DocBook 5 (Brian M. Carlson)
* New common HTML output stylesheets (Shaun McCance)
* Removed numbering and labeling for DocBook (Shaun McCance)
* Better behavior for links to invalid targets (Shaun McCance)
